%define srcname pyjournalctl

Name:           python-journalctl
Version:        0.7.0
Release:        %mkrel 16
Summary:        A python module that reads systemd journald similar to journalctl
License:        GPLv2
Group:          Development/Python
Source0:        https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         pyjournalctl-0.7.0-systemd-216.patch
Url:            https://github.com/kwirk/pyjournalctl
BuildRequires:  pkgconfig(systemd)

%description
A python module that reads systemd journald similar to journalctl

%package -n python3-journalctl
Summary:        Python 3 module that reads systemd journald similar to journalctl
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-journalctl
A Python 3 module that reads systemd journald similar to journalctl.

%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
%{__python3} setup.py install --root %{buildroot} --skip-build 

%files -n python3-journalctl
%doc README.rst
%{python3_sitearch}/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-16.mga8
+ Revision: 1533055
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.7.0-15.mga8
+ Revision: 1443270
- drop python2 subpkg
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 0.7.0-14.mga7
+ Revision: 1351672
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.7.0-13.mga7
+ Revision: 1300501
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.7.0-12.mga7
+ Revision: 1135467
- Rebuild for python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 0.7.0-11.mga6
+ Revision: 958616
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.7.0-10.mga6
+ Revision: 888805
- rebuild for python 3.5
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-8.mga5
+ Revision: 744838
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.0-7.mga5
+ Revision: 728832
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-6.mga5
+ Revision: 688096
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 colin <colin> 0.7.0-5.mga5
+ Revision: 672083
- Fix build with latest systemd
- Rebuild for new systemd

* Sat May 31 2014 pterjan <pterjan> 0.7.0-4.mga5
+ Revision: 628722
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.0-3.mga4
+ Revision: 543574
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.0-2.mga4
+ Revision: 498777
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 02 2013 philippem <philippem> 0.7.0-1.mga4
+ Revision: 474431
- update to 0.7.0, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 379030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 colin <colin> 0.4.0-1.mga3
+ Revision: 322779
- Add systemd-devel as a Build Requirement
- imported package python-journalctl (mostly by Angelo Naselli)

